function OnWarpEnter()
	PlaySound("Sounds/SFX/A_TempleU.ogg",-1)	
	SetMarker("Pi Ramses\\Temple U\\Warp_0004.wp",0,0)
	SetMarker("Pi Ramses\\Temple U\\Warp_0001.wp",0,0)
	SetMarker("Pi Ramses\\Temple U\\Warp_0040.wp",0,0)
	if  MAYA_BETRAYED then
		StartAnimation("O2U1",-1)
		StartAnimation("Q2U1",-1)
	end
       if TUYA_IN_NAOS then
		StartAnimation("TOU1",-1) 
	end

end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "CAT2" then

------------------------------------------------------------
	elseif objectName == "CMT1" then

------------------------------------------------------------
	elseif objectName == "LAT1" then

------------------------------------------------------------
	elseif objectName == "LJT1" then

------------------------------------------------------------
	elseif objectName == "LLT1" then

------------------------------------------------------------
	elseif objectName == "O5T1" then

------------------------------------------------------------
	elseif objectName == "Q4T1" then
	end
       
        if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0004.wp" then
		if MAYA_BETRAYED then
			DrawText("MAIA1401","MAIA1401.ogg")
		else
			ChangeWarp(objectName)
		end
        end 
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0001.wp" then
              ChangeWarp(objectName)
       end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0040.wp" then
              ChangeWarp(objectName)
       end 
end
